Bug 5983 - Change the wording around the CAS login
Summary: Change the wording around the CAS login
Status: CLOSED WORKSFORME
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: PATCH-Sent (DO NOT USE) enhancement (vote)
Assignee: Stéphane Delaune
QA Contact: Bugs List
URL:
Keywords:
Depends on: 5630
Blocks: 5584
  Show dependency treegraph
 
Reported: 2011-03-29 02:20 UTC by Chris Cormack
Modified: 2015-08-11 08:17 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed Patch (1.54 KB, patch)
2011-03-29 02:25 UTC, Chris Cormack
Details | Diff | Splinter Review
rewrited for template toolkit (1.58 KB, patch)
2011-07-08 10:30 UTC, Stéphane Delaune
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2011-03-29 02:20:47 UTC

    
Comment 1 Chris Cormack 2011-03-29 02:25:28 UTC Comment hidden (obsolete)
Comment 2 Matthias Meusburger 2011-04-04 12:41:51 UTC
casServersLoop template var depends on bug 5630, which still needs signoff. As I was the main developper of the CAS feature, someone else than me should signoff it.
Comment 3 Stéphane Delaune 2011-07-08 10:30:09 UTC
Created attachment 4599 [details] [review]
rewrited for template toolkit
Comment 4 Paul Poulain 2011-10-24 11:38:22 UTC
Updating Version : This ENH will be for Koha 3.8
Comment 5 Paul Poulain 2011-10-25 15:06:00 UTC
Bug versionned for master. entries will be made against rel_3_8 once the patch has been applied (see thread about that on koha-devel yesterday)
Comment 6 Chris Cormack 2011-12-15 02:18:27 UTC
Does not apply

Applying: Bug 5983 minor fix in html to improve translatability
/home/chrisc/git/catalyst-koha/.git/rebase-apply/patch:14: trailing whitespace.
<p><acronym title="Central Authentication Service">If you have a CAS account</acronym>, 
warning: 1 line adds whitespace errors.
Using index info to reconstruct a base tree...
<stdin>:14: trailing whitespace.
<p><acronym title="Central Authentication Service">If you have a CAS account</acronym>, 
warning: 1 line applied after fixing whitespace errors.
Falling back to patching base and 3-way merge...
Auto-merging koha-tmpl/opac-tmpl/prog/en/modules/opac-auth.tt
CONFLICT (content): Merge conflict in koha-tmpl/opac-tmpl/prog/en/modules/opac-auth.tt
Failed to merge in the changes.
Patch failed at 0001 Bug 5983 minor fix in html to improve translatability


I think this patch may no longer be needed. The existing code is


<p>If you have a <acronym title="Central Authentication Service">CAS</acronym> account,
[% IF ( casServerUrl ) %]
    please <a href="[% casServerUrl %]">click here to login</a>.<p>
[% END %]

[% IF ( casServersLoop ) %]
please choose against which one you would like to authenticate: </p>
<ul>
    [% FOREACH casServer IN casServersLoop %]
        <li><a href="[% casServer.value %]">[% casServer.name %]</a></li>
    [% END %]
[% END %]
</ul>


So I think this has been fixed already, if you agree please mark it so.
Comment 7 Paul Poulain 2011-12-16 14:19:19 UTC
I think a part of this patch is still relevant:
-<p>If you have a <acronym title="Central Authentication Service">CAS</acronym> account,
+<p><acronym title="Central Authentication Service">If you have a CAS account</acronym>, 

With the <acronym> tag in the middle of the string, the result is hard to translate, you get 3 strings:
If you have
CAS
account,

which can only be translated awfully in french.

Stéphane, can you provide another patch please ?
Comment 8 Chris Cormack 2011-12-17 06:39:13 UTC
(In reply to comment #7)
> I think a part of this patch is still relevant:
> -<p>If you have a <acronym title="Central Authentication Service">CAS</acronym>
> account,
> +<p><acronym title="Central Authentication Service">If you have a CAS
> account</acronym>, 
> 
Hmm but wouldn't that be wrong, the acronym tag should only be around the acronym shouldn't it?

Chris
Comment 9 Kyle M Hall 2012-06-09 14:15:24 UTC
Looks like this was implemented by another patch at some point.